Bug 450306 - nash segfaults during kernel update
nash segfaults during kernel update
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-06 11:43 EDT by Scott R. Godin
Modified: 2009-01-09 01:34 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:34:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
coredump (138.84 KB, application/octet-stream)
2008-06-06 11:46 EDT, Scott R. Godin
no flags Details

  None (edit)
Description Scott R. Godin 2008-06-06 11:43:45 EDT
Description of problem: while yum is updating the kernel, nash segfaults


Version-Release number of selected component (if applicable):
mkinitrd-6.0.19-4.fc8


How reproducible:
every time


Steps to Reproduce:
1. /sbin/nash --force
2. wait a bit and type Ctrl-D

  
Actual results:
view the lovely segfault

Expected results:
normal operation

Additional info:
coredump file to be attached

11:34am {7} localhost:/root># /sbin/nash --force
*** glibc detected *** /sbin/nash: double free or corruption (fasttop): 
0x093286a8 ***
======= Backtrace: =========
/lib/libc.so.6[0xac1ac1]
/lib/libc.so.6(cfree+0x90)[0xac50f0]
/lib/libglib-2.0.so.0(g_free+0x31)[0x7a9961]
/lib/libglib-2.0.so.0(g_slice_free1+0x1f7)[0x7be7c7]
/lib/libglib-2.0.so.0[0x795297]
/lib/libglib-2.0.so.0[0x795490]
/usr/lib/libbdevid.so.6.0.19(bdevid_module_unload_all+0x31)[0x754e37]
/usr/lib/libbdevid.so.6.0.19(bdevid_destroy+0x2d)[0x75457c]
/usr/lib/libnash.so.6.0.19[0x8c1174]
/usr/lib/libnash.so.6.0.19(nash_vitals_destroy_probes+0x3f)[0x8c17ec]
/usr/lib/libnash.so.6.0.19(_nashFreeContext+0x1c)[0x8b1fc6]
/sbin/nash[0x80536e4]
/lib/libc.so.6(__libc_start_main+0xe0)[0xa6e390]
/sbin/nash[0x804ae61]
======= Memory map: ========
00110000-00111000 r-xp 00110000 00:00 0          [vdso]
00115000-00117000 r-xp 00000000 fd:00 4292955    /lib/bdevid/ata.so
00117000-00118000 rw-p 00002000 fd:00 4292955    /lib/bdevid/ata.so
00118000-0011a000 r-xp 00000000 fd:00 4292925    /lib/bdevid/usb.so
0011a000-0011b000 rw-p 00002000 fd:00 4292925    /lib/bdevid/usb.so
001bc000-00232000 r-xp 00000000 fd:00 10126579   /usr/lib/libdhcp4client-
3.0.6.so.0
00232000-00237000 rw-p 00075000 fd:00 10126579   /usr/lib/libdhcp4client-
3.0.6.so.0
00237000-00241000 rw-p 00237000 00:00 0 
002cc000-002d7000 r-xp 00000000 fd:00 4292662    /lib/libgcc_s-4.1.2-
20070925.so.1
002d7000-002d8000 rw-p 0000a000 fd:00 4292662    /lib/libgcc_s-4.1.2-
20070925.so.1
002e5000-002f9000 r-xp 00000000 fd:00 4295790    /lib/libdevmapper.so.1.02
002f9000-002fb000 rw-p 00013000 fd:00 4295790    /lib/libdevmapper.so.1.02
003e4000-003ec000 r-xp 00000000 fd:00 4292677    /lib/libpopt.so.0.0.0
003ec000-003ed000 rw-p 00007000 fd:00 4292677    /lib/libpopt.so.0.0.0
00510000-00547000 r-xp 00000000 fd:00 4292635    /lib/libsepol.so.1
00547000-00548000 rw-p 00036000 fd:00 4292635    /lib/libsepol.so.1
00574000-00584000 r-xp 00000000 fd:00 4292654    /lib/libresolv-2.7.so
00584000-00585000 r--p 00010000 fd:00 4292654    /lib/libresolv-2.7.so
00585000-00586000 rw-p 00011000 fd:00 4292654    /lib/libresolv-2.7.so
00586000-00588000 rw-p 00586000 00:00 0 
00727000-0072a000 r-xp 00000000 fd:00 5669092    /lib/libuuid.so.1.2
0072a000-0072b000 rw-p 00002000 fd:00 5669092    /lib/libuuid.so.1.2
0072d000-00736000 r-xp 00000000 fd:00 5669093    /lib/libblkid.so.1.0
00736000-00737000 rw-p 00008000 fd:00 5669093    /lib/libblkid.so.1.0
00739000-0074f000 r-xp 00000000 fd:00 10137881   /usr/lib/libdhcp.so.1
0074f000-00750000 rw-p 00015000 fd:00 10137881   /usr/lib/libdhcp.so.1
00750000-00751000 rw-p 00750000 00:00 0 
00753000-00756000 r-xp 00000000 fd:00 10145072   /usr/lib/libbdevid.so.6.0.19
00756000-00757000 rw-p 00003000 fd:00 10145072   /usr/lib/libbdevid.so.6.0.19
00775000-0083f000 r-xp 00000000 fd:00 4292652    /lib/libglib-2.0.so.0.1400.6
0083f000-00840000 rw-p 000ca000 fd:00 4292652    /lib/libglib-2.0.so.0.1400.6
00842000-008a8000 r-xp 00000000 fd:00 10141962   /usr/lib/libparted-1.8.so.6.0.0
008a8000-008aa000 rw-p 00065000 fd:00 10141962   /usr/lib/libparted-1.8.so.6.0.0
008aa000-008ab000 rw-p 008aa000 00:00 0 
008ad000-008c6000 r-xp 00000000 fd:00 10151285   /usr/lib/libnash.so.6.0.19
008c6000-008c7000 rw-p 00019000 fd:00 10151285   /usr/lib/libnash.so.6.0.19
008c7000-008c8000 rw-p 008c7000 00:00 0 
008e2000-0092d000 r-xp 00000000 fd:00 10127884   /usr/lib/libnl.so.1.1
0092d000-00930000 rw-p 0004b000 fd:00 10127884   /usr/lib/libnl.so.1.1
00a39000-00a54000 r-xp 00000000 fd:00 4292619    /lib/ld-2.7.so
00a54000-00a55000 r--p 0001a000 fd:00 4292619    /lib/ld-2.7.so
00a55000-00a56000 rw-p 0001b000 fd:00 4292619    /lib/ld-2.7.so
00a58000-00bab000 r-xp 00000000 fd:00 4292621    /lib/libc-2.7.so
00bab000-00bad000 r--p 00153000 fd:00 4292621    /lib/libc-2.7.so
00bad000-00bae000 rw-p 00155000 fd:00 4292621    /lib/libc-2.7.so
00bae000-00bb1000 rw-p 00bae000 00:00 0 
00bb3000-00bda000 r-xp 00000000 fd:00 4292646    /lib/libm-2.7.so
00bda000-00bdb000 r--p 00026000 fd:00 4292646    /lib/libm-2.7.so
00bdb000-00bnash received SIGABRT!  Backtrace (18):
/sbin/nash[0x805314a]
[0x11040c]
/lib/libc.so.6(abort+0x101)[0xa82f91]
/lib/libc.so.6[0xab99eb]
/lib/libc.so.6[0xac1ac1]
/lib/libc.so.6(cfree+0x90)[0xac50f0]
/lib/libglib-2.0.so.0(g_free+0x31)[0x7a9961]
/lib/libglib-2.0.so.0(g_slice_free1+0x1f7)[0x7be7c7]
/lib/libglib-2.0.so.0[0x795297]
/lib/libglib-2.0.so.0[0x795490]
/usr/lib/libbdevid.so.6.0.19(bdevid_module_unload_all+0x31)[0x754e37]
/usr/lib/libbdevid.so.6.0.19(bdevid_destroy+0x2d)[0x75457c]
/usr/lib/libnash.so.6.0.19[0x8c1174]
/usr/lib/libnash.so.6.0.19(nash_vitals_destroy_probes+0x3f)[0x8c17ec]
/usr/lib/libnash.so.6.0.19(_nashFreeContext+0x1c)[0x8b1fc6]
/sbin/nash[0x80536e4]
/lib/libc.so.6(__libc_start_main+0xe0)[0xa6e390]
/sbin/nash[0x804ae61]
Abort (core dumped)
Comment 1 Scott R. Godin 2008-06-06 11:46:31 EDT
Created attachment 308546 [details]
coredump
Comment 2 Scott R. Godin 2008-10-24 11:18:02 EDT
Fedora 8 latest kernel, nash continues to segfault during update process: 

Removed: kernel.i686 0:2.6.25.6-27.fc8 kernel-devel.i686 0:2.6.25.6-27.fc8
Installed: kernel.i686 0:2.6.26.6-49.fc8 kernel-devel.i686 0:2.6.26.6-49.fc8
Updated: kde-filesystem.noarch 0:4-19.fc8 kernel-doc.noarch 0:2.6.26.6-49.fc8 kernel-headers.i386 0:2.6.26.6-49.fc8 wxBase.i386 0:2.8.9-1.fc8 wxGTK.i386 0:2.8.9-1.fc8 wxGTK-gl.i386 0:2.8.9-1.fc8

/sbin/mkinitrd: line 162: 22405 Done                    echo nash-find "$@"
     22406 Aborted                 (core dumped) | /sbin/nash --force --quiet

I can attach this corefile as well if anyone wishes.
Comment 3 Paul Bransford 2008-11-20 13:38:50 EST
I see this whenever (and only when) I try to update while my external drive is connected (usb).
Comment 4 Paul Bransford 2008-11-20 13:48:58 EST
duplicate of bug 440661
Comment 5 Bug Zapper 2008-11-26 05:49:32 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-01-09 01:34:26 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.